#include "scdata_a.h"

int SC_min_change_time_sec = 3;

int SC_score_numb = 8;

struct tms time_history[SCS_NUMB_MAX];
int	time_inited[SCS_NUMB_MAX] = { 0 };

int SCs_analis_init()
{
	return 0;
}

int SCs_data_analis(const struct SCs_data* data)
{
	int vvi, vci;
	int s;
	char st[100];

	if(time_inited[data->code - 1] == 0)
	{
		tmscpy(&(time_history[data->code-1]), &(data->time));
		time_inited[data->code-1] = 1;
	}
	else if( tms_to_sec( difftms( &(data->time), 
		&(time_history[data->code-1]) ) ) 
		< SC_min_change_time_sec)
	{
		tmscpy(&(time_history[data->code-1]), &(data->time));
		return 0;
	}

	tmscpy(&(time_history[data->code-1]), &(data->time));

	for(vvi = 0; (vvi < INBITS) && (data->input & (1 << vvi)); vvi += 1);
		
	vci = vvi;
	
	for(;vci < INBITS;vci += 1)
		if(data->input & (1 << vci))
			return 0;

	if((vvi >= SC_score_numb) || (vvi < 0))
		return 0;
		
	return vvi + 1;
}

void SCs_analis_reset()
{
	int i;
	for(i = 0; i < SCS_NUMB_MAX; i += 1)
		time_inited[i] = 0;
}
