#include <stdio.h>

#include "wlcstdc.h"

#define TEST(X) printf("Testing %s\t", #X); \
	fflush(stdout); \
	if(X) puts("OK"); else puts("FAIL!!");

int main()
{
	struct tms time;
	int i;
	time.hour = 12;
	time.min = 10;
	time.sec = 20;
	TEST(tms_equal(&time, &time));
	TEST(atotms("12:10:20"));
	TEST(tms_equal(&time, atotms("12:10:20")));
	TEST(difftms(&(time), atotms("12:10:30")));
	TEST(tms_equal(
		difftms(&(time), atotms("12:10:30")),
		atotms("0:0:10") ) );
	TEST(tms_equal(
		difftms(&(time), atotms("1:50:23")),
		atotms("10:19:57") ) );
	i = tms_to_sec(atotms("10:19:57"));
	TEST(i /*tms_to_sec(atotms("10:19:57"))*/ == 37197);
	return 0;
}

