/*	Ver. 0.3
*/

create database if not exists SCdb
character set utf8;
use SCdb;

create table worker
(
	id_worker int not null auto_increment primary key,
	first_name varchar(40) not null,
	last_name varchar(40) not null
);

create table worklog
(
	id_wl int not null auto_increment primary key,
	wl_date date not null,
	trans_date date
);

create table workstation
(
	id_ws tinyint not null,
	id_sdate int not null references worklogs(id_wl),
	stime time not null,
	input int not null,
	primary key (id_ws, id_sdate, stime)
);

create table work_shift
(
	id_worker int not null references worker(id_worker),
	id_ws int not null references workstation(id_ws),
	id_wl int not null references worklog(id_wl),
	shift int not null,
	primary key (id_worker, id_ws, id_wl, shift)
);
