#include <inttypes.h>
#include <avr\interrupt.h>
#include <avr\signal.h>
#include <avr\delay.h>
#include <avr\wdt.h>


unsigned char
x,
y,
ile,
odebr,
wejscia[8],
wejscie_stan_biezacy,
cykl,
stan_pinu,
licznik,
wcisniete_cykle,
niewcisniete_cykle,
przycisk_wcisniety,
LED_licznik,
sa_nowe_dane,
sprawdz_stanu_wejsc,
bajt_do_wyslania,
jest_nowy_bajt;


void sprawdzenie_stanu_wejsc (void) {
	
	for (y = 0; y < 5; y ++) {
		if (!(PINB & (1 << y))) wejscia[y] ++;
	}
	
	if (!(PIND & 16)) wejscia[5] ++;
	if (!(PIND & 32)) wejscia[6] ++;
	if (!(PIND & 64)) wejscia[7] ++;
	
}

void przycisk_f (void) {

	stan_pinu = PIND & 4;
	cykl ++;
		if (cykl > 20) {
			cykl = 0;
				if (licznik > 24) {
					niewcisniete_cykle = 0;
					licznik = 0;
						if (!przycisk_wcisniety) {
						
							wcisniete_cykle ++;
								if (wcisniete_cykle > 6) {
									wcisniete_cykle = 0;
									przycisk_wcisniety = 1;
									sprawdz_stanu_wejsc = 120;
									for (y = 0; y < 8; y ++) wejscia[y] = 0;
								}
						}
				}else{
					wcisniete_cykle = 0;
					licznik = 0;
						if (przycisk_wcisniety) {
							niewcisniete_cykle ++;
								if (niewcisniete_cykle > 6) {
									niewcisniete_cykle = 0;
									przycisk_wcisniety = 0;
								}
						}
				}
		}else{
			if (!stan_pinu) licznik ++;
		}

}



void opoznienie (void) {

	for (x = 0; x < ile; x ++) _delay_ms(100);

}


int main(void) {

	wdt_enable(WDTO_2S);
	wdt_reset();

	PORTD |= (1 << 0);
	DDRB |= (1 << 7);
	
	ile = 20;
	
	for (y = 0; y < 3; y ++) {
		opoznienie();
		PORTB |= (1 << 7);
		opoznienie();
		PORTB &= ~(1 << 7);
	}	
	
	
	PORTB |= 31;
	PORTD |= 116;

	TCCR0B |= 5;
	TCNT0 = 6;
	TIMSK = 2;
	
	UCSRA |= 2;
	UCSRB |= 248;
	UCSRC |= 38;

	
	UBRRH = 0;
	UBRRL = 211;
	
	sei();


while(1);

return 0;

}



SIGNAL(SIG_TIMER0_OVF) {

	TCNT0 = 6;
	wdt_reset();
	
	przycisk_f();
	
	if (sprawdz_stanu_wejsc > 0) {
		sprawdzenie_stanu_wejsc();
		sprawdz_stanu_wejsc --;
			if (sprawdz_stanu_wejsc < 2) {
				bajt_do_wyslania = 0;
				for (y = 0; y < 8; y ++) {
					if (wejscia[y] > 195) bajt_do_wyslania |= (1 << y);
				}
				sprawdz_stanu_wejsc = 0;
				jest_nowy_bajt = 1;
			}
	}

}



SIGNAL(SIG_USART0_RX){

	odebr = UDR;
	if (odebr == 99) {
			
		if (jest_nowy_bajt) UDR = 255; else
			UDR = 0;
		
	}else if (odebr == 100) {
		UDR = bajt_do_wyslania;
		jest_nowy_bajt = 0;
	}

}
