#!/bin/sh

# This is a simple script that cleans all directories from binary files and
# backup text files. It also restores the correct rights to files is case they
# went throw a fat filesystem.

echo "Cleaning binary files..."
for file in $(find ./ -type f -name *.so)
do
	rm $file
done
for file in $(find ./ -type f -name *.o)
do
	rm $file
done
for file in $(find ./ -type f -name *.dll)
do
	rm $file
done

echo "Cleaning text files backups..."
for file in $(find ./ -type f -name "*~")
do
	rm $file
done

echo "Restoring file rights..."
for file in $(find ./ -type f)
do
	chmod 644 $file
done

exit 0
