/** @file scmanage_common.h
 * Common data in the manage_grp.
 */

#ifndef MANAGE_SCCOMMON_H_
#define MANAGE_SCCOMMON_H_

/** Common exit codes in programs from the manage_grp */
enum manage_common_exit_codes
{
	exit_err_ini = 1,	/**< ini file error */
	exit_err_db = 2,	/**< database error */
	exit_err_argc = 3,	/**< wrong number of arguments */
	exit_err_cmd = 4,	/**< wrong command */
	exit_err_data = 5	/**< wrong or corrupted data */
	
};

/** Used in output do separate diffrent sequences of data */
#define SCM_SEPARATOR "---"

#endif /* MANAGE_SCCOMMON_H_ */
