/** @file scrunner_msg.h
 * Definitions helpful for writing a front-end for SCrunner
 */

#ifndef SCRUNNER_MSG_
#define SCRUNNER_MSG_

/**
 * Maximum output line
 */
#define SCR_MAX_LINE 100

/**
 * First line of output
 */
#define SCR_INIT_MSG "SCrunner vr:%s pid:%u"

/**
 * First line of proclog output
 */
#define SCR_PROCLOG_START_MSG "Proclog output:\n"

/**
 * Last line of output
 */
#define SCR_END_MSG "SCrunner was ended\n"

#endif /* SCRUNNER_MSG_ */
