#include <stdio.h>
#include "analis/scdata_a.h"
#include "scdata.h"
#include "wlcstdc.h"

#define TEST(X) printf("Testing %s\t", #X); \
	fflush(stdout); \
	if(X) puts("OK"); else puts("FAIL!!");

struct SCs_data* gendata(int hour, int min, int sec, int code, int input)
{
	struct SCs_data *d = malloc(sizeof(struct SCs_data));
	d->time.hour = hour;
	d->time.min = min;
	d->time.sec = sec;
	d->code = code;
	d->input = input;
	return d;
}

int main()
{
	TEST(SCs_analis_init() == 0);
	TEST(SCs_data_analis(gendata(12,33,1,1,0x01)) == 2);
	TEST(SCs_data_analis(gendata(12,33,6,1,0x01)) == 2);
	TEST(SCs_data_analis(gendata(12,33,8,1,0x03)) == 3);
	TEST(SCs_data_analis(gendata(12,33,10,1,0x03)) == 0);
	TEST(SCs_data_analis(gendata(12,33,12,1,0x03)) == 0);
	TEST(SCs_data_analis(gendata(12,33,19,1,0x03)) == 3);

	return 0;
}

