#ifndef RAPORTGEN_H
#define RAPORTGEN_H

#include <QtCore/QtCore>
#include <QtGui/QPushButton>
#include <QtGui/QMessageBox>

#include "ui_raportform.h"

class RaportForm: public QDialog
{
	Q_OBJECT

public:
	RaportForm(QWidget *parent = 0);

	enum indexes
	{
		oneDay,
		oneMonth,
		shortWorkstation
	};

public slots:
	void startGeneration();
	void endGeneration( int exitCode,
		QProcess::ExitStatus exitStatus );
private:
	Ui::RaportForm ui;
	static const QString SCraportCmd;
	QProcess SCraport;
	QFile raport;
	QMessageBox generating;
	QPushButton *button;
};

#endif
